#ifndef DUMPDEVICE_H
#define DUMPDEVICE_H

#include <glib.h>
#include "dumpheader.h"

typedef struct _DumpDevice DumpDevice;

struct _DumpDevice {
	/* Host data */
	guint32			 page_offset;
	struct disk_dump_header	*header;

	gchar			*regs;
	guint			 regs_len;

	char			*bitmap;

	/* Coredump data: */
	int			 file_fd;
	int			 device_fd;
	size_t			 data_offset;
	size_t			 device_page_start;

	const char		*dump_dir;
	char			*device_name;
	char			*file_name;
};

#endif
